package main

type ShipModel struct {
	ID ID
	Name string
	MaxFighters uint64
	MaxShields uint64
	GenShieldAmount uint64
	GenShieldTurns uint64
	GenFighterAmount uint64
	GenFighterTurns uint64
	CanLand bool
	AttackRatio float32
	DefenseRatio float32
	CanWarp bool
}

type Ship struct {
	ID ID
	Owner ID
	CorpOwned bool
	Model ID
	Name string
	Fighters uint64
	Shields uint64
	GenFighterTick uint64
	GenShieldTick uint64
}
